Bug 255599 - security/passivedns: Update to 1.2.1-22 (Fix build on FreeBSD 13+)
Summary: security/passivedns: Update to 1.2.1-22 (Fix build on FreeBSD 13+)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-04 20:33 UTC by Shawn Michael
Modified: 2021-06-20 21:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (shadowbq)
koobs: merge-quarterly?


Attachments
Upgrade to a newer git checkin to address FreeBSD 13 compile bug (1.22 KB, patch)
2021-05-04 20:33 UTC, Shawn Michael
koobs: maintainer-approval+
Details | Diff
Revised patch to address freebsd13/14 compile bug (1.26 KB, patch)
2021-05-13 23:49 UTC, Shawn Michael
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Michael 2021-05-04 20:33:00 UTC
Created attachment 224667 [details]
Upgrade to a newer git checkin to address FreeBSD 13 compile bug

This patch updates to HEAD on the github gamelinux/passivedns repo.  There are 12 additional fixes/features in HEAD vs what the current passivedns package provides.  One of those features fixes the duplicate symbol problem on FreeBSD 13 at a minimum.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-13 01:06:36 UTC
Comment on attachment 224667 [details]
Upgrade to a newer git checkin to address FreeBSD 13 compile bug

Approved by: portmgr (build fix)
MFH: 2021Q2
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-13 01:08:13 UTC
Confirmation of the build passing on FreeBSD 14 would be great. This can be done with a 14-CURRENT snapshot (-m ftp) in poudriere [1]

Once QA complete, both BROKEN lines should be removed (not commented)

[1] https://docs.freebsd.org/en/books/porters-handbook/testing-poudriere.html
Comment 3 Shawn Michael 2021-05-13 23:49:46 UTC
Created attachment 224919 [details]
Revised patch to address freebsd13/14 compile bug

I've tested this revised patch on both FreeBSD 13-STABLE and FreeBSD 14-CURRENT (May 13 snapshot) and it solves the compile problem on both.

The revision removes the BROKEN lines as requested.
Comment 4 Li-Wen Hsu freebsd_committer 2021-06-02 08:44:46 UTC
(In reply to freebsd from comment #3)
Thanks for the patch. Would you mind to set your name in the bugzilla so I can put it in the author line of Git log?

https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account

Thanks!
Comment 5 Shawn Michael 2021-06-02 15:20:00 UTC
I've updated my name.
Comment 6 commit-hook freebsd_committer 2021-06-20 21:49:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2287e8f627d43a120be870809c18e1b7e02a628d

commit 2287e8f627d43a120be870809c18e1b7e02a628d
Author:     Shawn Michael <freebsd@monkeyspunk.net>
AuthorDate: 2021-06-20 21:46:16 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-20 21:49:28 +0000

    security/passivedns: Update to 1.2.1-22

    This fixes build on FreeBSD 13+

    PR:             255599

 security/passivedns/Makefile | 7 ++-----
 security/passivedns/distinfo | 4 ++--
 2 files changed, 4 insertions(+), 7 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-06-20 21:50:57 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dbe1c4c35016cadebc8c591265ca42f347e047dd

commit dbe1c4c35016cadebc8c591265ca42f347e047dd
Author:     Shawn Michael <freebsd@monkeyspunk.net>
AuthorDate: 2021-06-20 21:46:16 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-20 21:50:11 +0000

    security/passivedns: Update to 1.2.1-22

    This fixes build on FreeBSD 13+

    PR:             255599
    (cherry picked from commit 2287e8f627d43a120be870809c18e1b7e02a628d)

 security/passivedns/Makefile | 7 ++-----
 security/passivedns/distinfo | 4 ++--
 2 files changed, 4 insertions(+), 7 deletions(-)